﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Globalization;
using System.Threading;

namespace Picasa2Piwigo
{
    using Picasa2PiwigoCommonFunctions;
    public partial class OptionsForm : Form
    {        
        public OptionsForm()
        {
            CultureInfo ci;
            ci = new CultureInfo(Thread.CurrentThread.CurrentCulture.Name);
            Thread.CurrentThread.CurrentUICulture = ci;
            Thread.CurrentThread.CurrentCulture = ci;
            if (Picasa2PiwigoConstants.constants.DEBUG_LOCALE)
            {
#pragma warning disable 0162
                Thread.CurrentThread.CurrentUICulture = new CultureInfo(Picasa2PiwigoConstants.constants.SET_LOCALE);
#pragma warning restore 0162
            }
                InitializeComponent();         
        }

        private void OptionsForm_Load(object sender, EventArgs e)
        {
            this.ACancelButton.Text = WinFormStrings.OFCancelButtonStrRes;
            this.Text = WinFormStrings.OFCaption;
            this.label1.Text = WinFormStrings.OFlabel1StrRes;
            this.label2.Text = WinFormStrings.OFlabel2StrRes;
            this.label3.Text = WinFormStrings.OFlabel3StrRes;
            this.label8.Text = WinFormStrings.OFlabel8StrRes;
            this.OKButton.Text = WinFormStrings.OFOKButtonStrRes;
            this.SetContactPathBtn.Text = WinFormStrings.OFSetContactPathBtn;            
            
            PiwigoURLTextbox.Text = FormSettings.Default.PiwigoUrlSetting;
            PiwigoUserNameTextBox.Text = FormSettings.Default.PiwigoUserName;
            PiwigoPasswordTextBox.Text = FormSettings.Default.PiwigoPassword;
            PicasaContactsFileTextBox.Text = FormSettings.Default.PicasaContactsLocation;

            LabelAdjust AdjustLabelClass = new LabelAdjust();
            AdjustLabelClass.AdjustLabelSize(label1);
            AdjustLabelClass.AdjustLabelSize(label2);
            AdjustLabelClass.AdjustLabelSize(label3);
            AdjustLabelClass.AdjustLabelSize(label8);
            AdjustLabelClass.AdjustButtonSize(OKButton);
            AdjustLabelClass.AdjustButtonSize(ACancelButton);
            AdjustLabelClass.AdjustButtonSize(SetContactPathBtn);
        }

        private void OKButton_Click(object sender, EventArgs e)
        {
            FormSettings.Default.PiwigoUrlSetting = PiwigoURLTextbox.Text;
            FormSettings.Default.PiwigoUserName = PiwigoUserNameTextBox.Text;
            FormSettings.Default.PiwigoPassword = PiwigoPasswordTextBox.Text;
            FormSettings.Default.PicasaContactsLocation = PicasaContactsFileTextBox.Text;
            FormSettings.Default.Save();
            this.DialogResult = DialogResult.OK;
            this.Close();
        }

        private void ACancelButton_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.No;
            this.Close();
        }

        private void SetContactPathBtn_Click(object sender, EventArgs e)
        {
            OpenFileDialog openFile1 = new OpenFileDialog();
            openFile1.Filter = "XML Files|*.xml";
            if (openFile1.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                PicasaContactsFileTextBox.Text = openFile1.FileName;                
            }
        }
    }
}
